# $Revision: 1.44 $, $Date: 2012/01/18 19:12:18 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Getopt
%define		pnam	Declare
Summary:	Getopt::Declare - Declaratively Expressed Command-Line Arguments via Regular Expressions
Summary(pl.UTF-8):	Getopt::Declare - wyrażone deklaracyjnie przez wyrażenia regularne argumenty linii polecenia
Name:		perl-Getopt-Declare
Version:	1.14
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7ed52d0279abcb34c366369af8ac8cb8
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Parse-RecDescent
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Getopt::Declare is yet another command-line argument parser, one which
is specifically designed to be powerful but exceptionally easy to use.

%description -l pl.UTF-8
Getopt::Declare jest jeszcze jednym parserem argumentów linii poleceń,
o wielkich możliwościach, a jednocześnie wyjątkowo łatwym w użyciu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install demos/demo* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Getopt/Declare.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Getopt-Declare.spec,v $
Revision 1.44  2012/01/18 19:12:18  zbyniu
- up to 1.14

Revision 1.43  2009/09/14 10:21:02  amateja
- updated to 1.12

Revision 1.42  2008/07/27 22:35:48  arekm
- release 2

Revision 1.41  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.39  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.38  2004/11/03 22:30:23  paladine
- formatting

Revision 1.37  2004/10/24 14:57:04  paladine
- spelling fix

Revision 1.36  2004/05/06 18:09:38  ankry
- fixed perl-devel BR

Revision 1.35  2004/04/24 23:19:16  ankry
- test added

Revision 1.34  2004/04/21 19:26:21  ankry
- summary/desc

Revision 1.33  2004/04/21 08:59:40  ankry
- license fixes/unification

Revision 1.32  2004/02/08 08:45:16  misi3k
- updated to 1.11

Revision 1.31  2003/09/09 10:24:36  ankry
- spaces -> tab

Revision 1.30  2003/08/18 08:08:48  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 19:36:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/27 20:53:55  ankry
fixed %%attr

Revision 1.24  2003/02/25 00:39:24  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:32:42  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/11/26 00:14:01  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.21  2002/07/10 08:47:28  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:31:40  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:15:13  depesz
automatic: Source location unfied, Relase Up

Revision 1.16  2002/02/10 15:26:48  depesz
adapterized

Revision 1.15  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.13  2001/09/20 11:36:04  mis
- autoupdated to 1.09

Revision 1.12  2001/04/17 12:09:46  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/06 15:46:24  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.9  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.4  2000/02/17 20:46:13  pius
- updated to 1.08

Revision 1.3  1999/11/05 19:50:52  pius
- BuildRequires: perl-Text-Balanced -> perl-Parse-RecDescent

Revision 1.2  1999/11/05 16:52:52  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:19  pius
- initial release
